package config_handler

import (
	"git.icechen.cn/pkg/drone_plugin/go_handler"
)

func (sl ServiceList) toDestinationConfig(nameSpace string, serviceEnv map[string]string) (string, error) {
	retConfig := ""
	for _, service := range sl {
		config, err := service.toDestinationConfig(nameSpace, serviceEnv)
		if err != nil {
			return "", err
		}
		retConfig += config + "\n\n---\n\n"
	}
	return retConfig, nil
}

func (s Service) toDestinationConfig(nameSpace string, serviceEnv map[string]string) (string, error) {
	var handler Handler
	switch s.Type {
	case go_handler.TypeGolang:
		handler = go_handler.GoServiceHandler{
			NameSpace:  nameSpace,
			Name:       s.Name,
			Root:       s.Root,
			Port:       s.Port,
			ServiceEnv: serviceEnv,
		}
	}

	return handler.ToDestinationConfig()
}
